×

Discussion Board

Results 1 to 6 of 6
  1. #1
    Regular Contributor
    Join Date
    Jul 2006
    Posts
    145

    make sis 3rd edition???

    Hi evrybody!
    I work on series60 3rd editon.
    I have compiled perfectly my app with the command line
    abld build winscw udeb

    Now i want to make a sis file to install on my handset, so i use the command line
    abld build armi urel
    and i obtain this eror.

    Code:
    \epoc32\gcc\bin\gcc.exe was called but is not supported in this release.
    make[1]: *** [..\..\..\EPOC32\BUILD\Symbian\9.1\S60_3rd\S60Ex\mobifindit\group\MOBIFINDIT\ARMI\UREL\FCListBox.o] Error 255
    make: *** [TARGETMOBIFINDIT] Error 2
      make -r  -f "\Symbian\9.1\S60_3rd\EPOC32\BUILD\Symbian\9.1\S60_3rd\S60Ex\mobifindit\group\ARMI.make" FINAL CFG=UREL VERBOSE=-s
    make -s  -C \Symbian\9.1\S60_3rd\S60Ex\mobifindit\group -f "ICONS_SCALABLE_DC.MK" TO_ROOT=..\..\..\..\..\.. EPOCBLD=..\..\..\..\..\..\Symbian\9.1\S60_3rd\EPOC32\BUILD\Symbian\9.1\S60_3rd\S60Ex\mobifindit\group\ICONS_SCALABLE_DC\ARMI TO_BLDINF=..\..\..\..\..\
    ..\Symbian\9.1\S60_3rd\S60Ex\mobifindit\group PLATFORM=ARMI CFG=UREL FINAL
    make -s  -C \Symbian\9.1\S60_3rd\S60Ex\mobifindit\group -f "MOBIFINDIT_BITMAPS.MK" TO_ROOT=..\..\..\..\..\.. EPOCBLD=..\..\..\..\..\..\Symbian\9.1\S60_3rd\EPOC32\BUILD\Symbian\9.1\S60_3rd\S60Ex\mobifindit\group\MOBIFINDIT_BITMAPS\ARMI TO_BLDINF=..\..\..\..\.
    .\..\Symbian\9.1\S60_3rd\S60Ex\mobifindit\group PLATFORM=ARMI CFG=UREL FINAL
    I don't kno how to solve it. Plesa help me it's urgent...

    Here is the content of my bld.inf file
    Code:
    PRJ_PLATFORMS
    
    WINS
    WINSCW
    GCCE
    ARMV5
    ARMI
    
    PRJ_EXPORTS
    ..\inc\hello.txt ..\winscw\c\private\A000017F\hello.txt
    
    PRJ_MMPFILES
    
    gnumakefile icons_scalable_dc.mk
    gnumakefile mobifindit_bitmaps.mk
    mobifindit.mmp

  2. #2
    Registered User
    Join Date
    Jul 2005
    Location
    Bengaluru, India
    Posts
    747

    Re: make sis 3rd edition???

    Remove ARMI from your bld.inf.

  3. #3
    Regular Contributor
    Join Date
    Jul 2006
    Posts
    145

    Re: make sis 3rd edition???

    If i make that you said, i have an error

    Code:
    C:\Symbian\9.1\S60_3rd\S60Ex\mobifindit\group>abld build armi urel
    This project does not support platform, build or  program "ARMI"
    maybe i don't use the good command line...

  4. #4
    Registered User
    Join Date
    Jul 2005
    Location
    Bengaluru, India
    Posts
    747

    Re: make sis 3rd edition???

    Use ARMV5 instead.

    You may read this thread: Symbian C++ SDK 3rd ed and ARMI Release?

  5. #5
    Registered User
    Join Date
    Apr 2005
    Location
    Barcelona
    Posts
    1,678

    Re: make sis 3rd edition???

    Use "gcce" instead of "armi"

  6. #6
    Regular Contributor
    Join Date
    Jul 2006
    Posts
    145

    Re: make sis 3rd edition???

    Yeah!!
    Thanks you!
    It works with the line
    Code:
    abld build gcce urel
    makesis <>.pkg <>.sis

Similar Threads

  1. Replies: 15
    Last Post: 2007-09-28, 12:01
  2. Coudn't generate library with new SDK 3rd edition
    By sdalis in forum Symbian Tools & SDKs
    Replies: 17
    Last Post: 2006-12-12, 10:22
  3. series 40 sdk 3rd edition emulator validity
    By ray() in forum Mobile Java Games
    Replies: 1
    Last Post: 2006-07-26, 19:08
  4. Compilation errors and warnings on Nokia series 60 3rd Edition
    By chitransh_chetan in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 3
    Last Post: 2006-04-17, 21:39
  5. Wins support in new 3rd edition SDK
    By twlai in forum Symbian Tools & SDKs
    Replies: 1
    Last Post: 2006-01-20, 18:49

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×